%define module	Text-Shellwords
%define name	perl-%{module}
%define version	1.00
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
This is a thin wrapper around the shellwords.pl package, which comes
preinstalled with Perl. This module imports a single subroutine,
shellwords(). The shellwords() routine parses lines of text and returns
a set of tokens using the same rules that the Unix shell does for its
command-line arguments. Tokens are separated by whitespace, and can be
delimited by single or double quotes. The module also respects backslash
escapes.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Text/Shellwords.pm
%{_mandir}/*/*

%changelog
* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.00-1mdk
- first mdk release
